{% extends "../index.htm" %}
{% load i18n %}  
{% load static %}
{% load tz %}

{% block htmlData %}
    <div class="w3-row">
        <div class="">
            {% if errorText %}
                <div class="w3-panel w3-red w3-display-container w3-margin w3-padding">
                    <span onclick="this.parentElement.style.display='none'" class="w3-button w3-large w3-display-topright">&times;</span>
                    <h3>Warning!</h3>
                    <p>{{ errorText }}</p>
                </div>            
            {% endif %}
        
            <div class="w3-bar w3-light-grey">
                <a class="w3-button w3-blue"  style='text-decoration: none;' nohref=""><i class="fas fa-id-card-alt fa-lg"></i> {% trans 'My params' %} </a>
            </div> 
            
            <!-- 1rst line of block -->
            <div class="w3-row w3-margin w3-padding" style='width:75%'>
                <div class="w3-col m4 l3 w3-card w3-padding">
                    <div class="w3-border-bottom w3-padding-16"> <i class="fas fa-language fa-2x"></i> {% trans 'language' %}</div>
                    <form class="w3-container" method="POST" action="setLang">
                        {% csrf_token %}
                        <div class="w3-section w3-margin">
                            <select class="w3-select w3-border w3-margin-bottom" name='lang' id='lang' onChange='submit()'>
                                {% for lang in LANGUAGES %}
                                    <option value="{{ lang.0 }}" {% if lang.0 == LANGUAGE_CODE %} selected {% endif %}>{{ lang.1 }}</option>
                                {% endfor %}
                            </select>
                        </div>
                    </form>
                </div>
                
                <div class="w3-col l1">&nbsp;</div> 
            
                <div class="w3-col m4 l3 w3-card w3-padding">
                    <div class="w3-border-bottom w3-padding-16"> <i class="far fa-clock fa-2x"></i> {% trans 'timeZone' %}</div>
                    <form class="w3-container" method="POST" action="setTimezone">
                        {% csrf_token %}
                        <div class="w3-section w3-margin">
                            <select class="w3-select w3-border w3-margin-bottom" name='timez' id='tz' onChange='submit()'>
                                {% for tmz in timeZoneList %}
                                    <option value='{{ tmz }}' {% if tmz == TIME_ZONE %} selected {% endif %}>{{ tmz }}</option>
                                {% endfor %}
                            </select>
                        </div>
                    </form>
                </div>
                
                <div class="w3-col l1">&nbsp;</div>
                
                <div class="w3-col m4 l3 w3-card w3-padding">
                    <div class="w3-border-bottom w3-padding-16"> <i class="fas fa-key fa-2x"></i> {% trans 'Reset my password' %}</div>              
                    <form class="w3-container"  method="POST"  action="resetPasswd">
                        {% csrf_token %}
                        <div class="w3-section w3-margin ">
                            <input class="w3-input w3-border w3-margin-bottom" type="text"   id='resetPwd' value='' name="passwd" required>
                            <button onclick='submit()' class="w3-button w3-round w3-green w3-padding" >{% trans 'Submit' %}</button>
                        </div>
                    </form>
                </div>
            </div>
            
            <!-- 2nd line of block -->
            <div class="w3-row w3-margin w3-padding" style='width:75%'>
                <div class="w3-col m4 l3 w3-card w3-padding">
                    <div class="w3-border-bottom w3-padding-16"> <i class="fas fa-history fa-2x"></i> {% trans 'nbOfDays' %}</div>
                    <form class="w3-container" method="POST" action="setNbOfDays">
                        {% csrf_token %}
                        <div class="w3-section w3-margin">
                            <input onChange='submit()' class="w3-input w3-border w3-margin-bottom" type="number" value="{{ user.nbOfDays|default:defaultNbOfDays }}" id='nbOfDays' name="nbOfDays" required>    
                        </div>
                    </form>
                </div>        
                
                <div class="w3-col l1">&nbsp;</div> 
                
                <div class="w3-col m4 l3 w3-card w3-padding">
                    <div class="w3-border-bottom w3-padding-16"> <i class="far fa-eye-slash fa-2x"></i> {% trans 'Hide message items' %}</div>              
                    <form class="w3-container"  method="POST"  action="hideItems">
                        {% csrf_token %}
                        <div class="w3-section w3-margin ">
                            <input class="w3-check" type="checkbox" name="Info" {{ checked.Informations }}> 
                                <label> <i class="fas fa-info fa-lg"></i> <font class="w3-hide-small w3-hide-medium "> {% trans 'Informations' %}</font> </label> </br>
                            
                            <input class="w3-check" type="checkbox"  name="Share" {{ checked.Share }}> 
                                <label> <i class="fas fa-share-alt fa-lg"></i> <font class="w3-hide-small w3-hide-medium "> {% trans 'Share' %}</font> </label> </br>
                            
                            <input class="w3-check" type="checkbox"  name="Access" {{ checked.Access }}> 
                                <label> <i class="fas fa-eye fa-lg"></i> <font class="w3-hide-small w3-hide-medium "> {% trans 'Access' %}</font></label> </br>
                            
                            <input class="w3-check" type="checkbox"  name="Alert" {{ checked.Alert }}> 
                                <label> <i class="fas fa-user-clock fa-lg"></i> <font class="w3-hide-small w3-hide-medium "> {% trans 'Alert' %}</font></label> </br>
                            
                            <input class="w3-check" type="checkbox"  name="Comment" {{ checked.Comment }}> 
                                <label> <i class="far fa-comments fa-lg"></i> <font class="w3-hide-small w3-hide-medium "> {% trans 'Comment' %}</font></label> </br> 
                            
                            <input class="w3-check" type="checkbox"  name="Tag" {{ checked.Tag }}> 
                                <label> <i class="fas fa-tags fa-lg"></i> <font class="w3-hide-small w3-hide-medium "> {% trans 'Tag' %}</font></label> </br>
                            
                            <input class="w3-check" type="checkbox"  name="Favorites" {{ checked.Favorites }}> 
                                <label> <i class="fas fa-star"></i> <font class="w3-hide-small w3-hide-medium "> {% trans 'Favorites' %} </font></label> </br>
                            
                            <input class="w3-check" type="checkbox"  name="Print" {{ checked.Print }}> 
                                <label> <i class="fas fa-print"></i> <font class="w3-hide-small w3-hide-medium "> {% trans 'Print' %} </font> </label> </br>
                                
                            <input class="w3-check" type="checkbox"  name="Forward" {{ checked.Forward }}> 
                                <label> <i class="fas fa-reply-all"></i> <font class="w3-hide-small w3-hide-medium "> {% trans 'Forward' %} </font></label> </br>
                            </br>
                            <button onclick='submit()' class="w3-button w3-round w3-green w3-padding" >{% trans 'Submit' %}</button>
                        </div>
                    </form>
                </div>
            
        </div>
    </div>

    
{% endblock %}
